using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.BaseData.Domain.Entities.FM
{
    [Description("部门日历配置明细表")]
    public class T_FM_DEPARTMENT_CALENDAR_CONFIG_DETAIL : MesEntityBase
    {
        [Description("节点日历配置表ID")]
        
        [DataFieldForeignKey("Nav_DepartmentCalendarConfig,Nav_DepartmentCalendarConfigDetail")]
        public Guid DEPARTMENT_CALENDAR_CONFIG_ID { get; set; }

        [Description("排序")]
        [FormFieldTable]
        [FormFieldEdit]
        public int NUM { get; set; }

        [Description("班次ID")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldForeignKey("Nav_Class")]
        public Guid CLASS_ID { get; set; }

        [Description("导航：节点日历配置表")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public virtual T_FM_DEPARTMENT_CALENDAR_CONFIG Nav_DepartmentCalendarConfig { get; set; }

        [Description("导航：班次表")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public virtual T_FM_CLASS Nav_Class { get; set; }
    }
}
